use serde::Deserialize;
use serde::Serialize;

/// This is the struct for the writer.toml config file that ends up in each site's root directory.
#[derive(Deserialize, Serialize)]
pub(crate) struct RawConfig {
    site_title: String,
    author: Option<String>,
    email: Option<String>,
    pub(super) use_relative_paths: Option<bool>,
    pub(super) web_root: Option<String>,
}

impl Default for RawConfig {
    fn default() -> Self {
        RawConfig {
            site_title: "My super awesome website".to_owned(),
            author: None,
            email: None,
            use_relative_paths: None,
            web_root: None,
        }
    }
}
