use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IPlainText;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "heading")]
pub(crate) struct RenderPlainText {}

impl RenderPlainText {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        heading: &IPlainText,
    ) -> Result<RenderPlainText, CustomError> {
        Ok(RenderPlainText {})
    }
}
