use crate::error::CustomError;

use super::IObject;

#[derive(Debug)]
pub(crate) struct IHeading {
    pub(crate) level: organic::types::HeadlineLevel,
    pub(crate) title: Vec<IObject>,
}

impl IHeading {
    pub(crate) fn new(heading: &organic::types::Heading<'_>) -> Result<IHeading, CustomError> {
        let title = heading
            .title
            .iter()
            .map(IObject::new)
            .collect::<Result<Vec<_>, _>>()?;
        Ok(IHeading {
            title,
            level: heading.level,
        })
    }
}
