use crate::error::CustomError;
use crate::intermediate::util::coalesce_whitespace;

#[derive(Debug)]
pub(crate) struct IPlainText {
    source: String,
}

impl IPlainText {
    pub(crate) fn new(
        plain_text: &organic::types::PlainText<'_>,
    ) -> Result<IPlainText, CustomError> {
        Ok(IPlainText {
            source: coalesce_whitespace(plain_text.source).into_owned(),
        })
    }
}
