use serde::Serialize;

use crate::error::CustomError;

pub(crate) trait RendererIntegration<'a> {
    fn load_template(&mut self, name: &'a str, contents: &'a str) -> Result<(), CustomError>;

    fn render<C>(&self, context: C) -> Result<String, CustomError>
    where
        C: Serialize;
}
